<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <style>
        #myModal {
            z-index: 9999999;
        }
    </style>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        .btn-bar-chart {
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .ipk-info {
            display: flex;
            flex-direction: column;
        }

        .ipk-label {
            font-size: 10px;
            line-height: 1;
        }

        .ipk-value {
            font-weight: bold;
            line-height: 1;
        }
    </style>
</head>
<body>
<section layout:fragment="main" class="content">
    <div class="breadcomb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="breadcomb-list">
                        <div class="row">
                            <div class="col-md-12 col-xs-12">
                                <div class="breadcomb-wp">
                                    <div class="breadcomb-icon">
                                        <i class="notika-icon notika-form"></i>
                                    </div>
                                    <div class="breadcomb-ctn">
                                        <h2>Dashboard</h2>
                                        <p>Welcome to Smile Mahasiswa Application :)</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>



    <div class="container mg-b-30">
        <div class="row" th:if="${listEvent != null}">
            <div class="alert alert-success" th:if="${sukses != null}">
                <span th:text="${sukses}"></span>
            </div>
            <div class="col-md-12 col-xs-12" th:each="data,row : ${listEvent}">
                <div class="normal-table-list ">
                    <div class="row">
                        <div class="col-md-12">
                            <h4><i class="fa fa-calendar" style="color: orange"></i> <span th:text="${data.getEventName()}"></span></h4>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            <img th:src="@{/event/{event}/download/(event = ${data.getId()})}">
                        </div>
                        <div class="col-md-9">
                            <p th:utext="${data.getEventDescription()}"></p>
                        </div>
                        <input type="hidden" class="mulai" th:value="${data.getScheduleStart()}">
                        <input type="hidden" class="selesai" th:value="${data.getScheduleEnd()}">
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="alert alert-danger statusMessage"></div>
                        </div>
                        <div class="col-md-12">
                            <a th:href="@{/academic/event/presensi(event=${data.getId()})}" class="btn btn-primary attendanceButton" style="display: none;">
                                <span class="countdownEnd"></span>
                            </a>
                        </div>

                        <script>
                            document.addEventListener('DOMContentLoaded', function() {
                                // Fungsi untuk menghitung selisih waktu dan mengubahnya menjadi format "X hari, Y jam, Z menit, dan W detik lagi"
                                function getTimeRemaining(targetDate) {
                                    var now = new Date();
                                    var timeDiff = targetDate - now;
                                    if (timeDiff <= 0) return "0 hari, 0 jam, 0 menit, dan 0 detik lagi"; // Jika waktu sudah lewat

                                    var days = Math.floor(timeDiff / (1000 * 60 * 60 * 24));
                                    var hours = Math.floor((timeDiff / (1000 * 60 * 60)) % 24);
                                    var minutes = Math.floor((timeDiff / 1000 / 60) % 60);
                                    var seconds = Math.floor((timeDiff / 1000) % 60);

                                    // Format deskriptif: "X hari, Y jam, Z menit, dan W detik lagi"
                                    var result = '';
                                    if (days > 0) result += days + " hari, ";
                                    if (hours > 0) result += hours + " jam, ";
                                    if (minutes > 0) result += minutes + " menit, ";
                                    result += seconds + " detik lagi";

                                    return result;
                                }

                                // Loop melalui semua event
                                document.querySelectorAll('.normal-table-list').forEach(function(eventElement) {
                                    var scheduleStart = new Date(eventElement.querySelector('.mulai').value);
                                    var scheduleEnd = new Date(eventElement.querySelector('.selesai').value);
                                    var statusMessage = eventElement.querySelector('.statusMessage');
                                    var attendanceButton = eventElement.querySelector('.attendanceButton');
                                    var countdownEnd = eventElement.querySelector('.countdownEnd');

                                    function updateStatus() {
                                        var now = new Date();

                                        if (now < scheduleStart) {
                                            // Acara belum dimulai - Tampilkan hitung mundur menuju acara
                                            statusMessage.textContent = "Acara Belum Dimulai, Absensi Belum dibuka... Waktu menuju acara: " + getTimeRemaining(scheduleStart);
                                            statusMessage.style.display = 'block';
                                            attendanceButton.style.display = 'none';
                                        } else if (now >= scheduleStart && now <= scheduleEnd) {
                                            // Acara sedang berlangsung - Tampilkan tombol dan hitung mundur menuju akhir acara
                                            statusMessage.textContent = '';
                                            statusMessage.style.display = 'none';
                                            attendanceButton.style.display = 'block';
                                            countdownEnd.textContent = "Isi absensi disini... sisa waktu: " + getTimeRemaining(scheduleEnd);
                                        } else {
                                            // Acara sudah selesai
                                            statusMessage.textContent = "Acara Telah Selesai, Absensi sudah ditutup ...";
                                            statusMessage.style.display = 'block';
                                            attendanceButton.style.display = 'none';
                                        }
                                    }

                                    // Fungsi update hitung mundur setiap detik
                                    function startCountdown() {
                                        updateStatus(); // Panggil pertama kali untuk menampilkan status saat halaman dimuat
                                        setInterval(function() {
                                            updateStatus(); // Perbarui status setiap detik
                                        }, 1000); // 1 detik
                                    }

                                    // Mulai hitung mundur untuk event ini
                                    startCountdown();
                                });
                            });
                        </script>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <br>

    <div class="container">
        <div class="row">
            <input type="hidden" id="terakhirUpdate" th:value="${mhs.terakhirUpdate}">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="widget-tabs-int">
                    <div class="tab-hd">
                        <h2>Student Info</h2>
                    </div>
                    <div class="widget-tabs-list">
                        <div class="modal animated rubberBand" data-backdrop="static" id="myModal" role="dialog">
                            <div class="modal-dialog modal-dialog-center modals-default">
                                <div class="modal-content">
                                    <form method="post" th:action="@{/update-userParent}" th:object="${mhs}">
                                        <div class="modal-header">
                                        </div>
                                        <div class="modal-body">
                                            <h2>PENGKINIAN DATA ASURANSI</h2>
                                            <p>Segera perbarui data pribadi untuk verifikasi jaminan asuransi
                                                kecelakaan,
                                                verifikasi dibutuhkan secepat mungkin. Pastikan data yang kamu isi
                                                adalah
                                                Benar dan terkini.</p>
                                            <br>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <label>Nama Peserta</label><br>
                                                    <input type="text" th:field="*{nama}"
                                                           class="form-control" readonly>
                                                </div>
                                                <div class="col-md-6">
                                                    <label>Nomor Hp Peserta</label><br>
                                                    <input type="text" name="teleponSeluler"
                                                           th:field="*{teleponSeluler}"
                                                           class="form-control">
                                                </div>
                                            </div>
                                            <br>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <label>No Hp Orang Tua / Wali</label><br>
                                                    <input type="tel" maxlength="14" name="nomor" required
                                                           class="form-control">
                                                </div>
                                                <div class="col-md-6">
                                                    <label>Email Orang Tua / Wali</label><br>
                                                    <input type="email" name="email" id="email" onkeyup="cekEmail(this)" required class="form-control">
                                                </div>
                                            </div>
                                            <br>
                                            <div class="alert alert-danger" id="validEmail" style="display: none">
                                                Email telah digunakan, silahkan menggunakan email lain
                                            </div>
                                        </div>

                                        <br>
                                        <div class="modal-footer">
                                            <div class="row">
                                                <div class="col-md-1" align="right">
                                                    <input class="form-check-input" required type="checkbox" value=""
                                                           id="flexCheckDefault">
                                                </div>
                                                <div class="col-md-11" align="left">
                                                    <p>Dengan ini saya menyatakan data diatas adalah benar dan dapat
                                                        dihubungi dalam keadaan darurat, apabila data tidak dapat
                                                        dihubungi maka saya bersedia bertanggung jawab sepenuhnya.
                                                        Perbaharui data</p>
                                                </div>
                                            </div>
                                            <button type="submit" class="btn btn-default" id="saveOrtu">Save
                                                changes
                                            </button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <ul class="nav nav-tabs">
                            <li class="active"><a data-toggle="tab" href="#home">Academic Info</a></li>
                            <li><a data-toggle="tab" href="#menu1">Finance Info</a></li>
                        </ul>
                        <div class="tab-content tab-custom-st">
                            <div id="home" class="tab-pane fade in active">
                                <div class="tab-ctn">
                                    <div class="row">
                                        <div class="col-md-8 col-xs-12">
                                            <div class="normal-table-list mg-t-30">
                                                <div class="basic-tb-hd">
                                                    <h2>My Schedule</h2>
                                                </div>
                                                <div class="bsc-tbl-st">
                                                    <table class="table table-striped">
                                                        <thead>
                                                        <tr>
                                                            <th>No.</th>
                                                            <th>Subject</th>
                                                            <th>Day</th>
                                                            <th>Time</th>
                                                            <th>Lecture</th>
                                                            <th>Room</th>
                                                            <th>#</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="data,row : ${krsdetail}">
                                                            <td th:text="${(row.index + 1)}">1</td>
                                                            <td th:text="${data.jadwal.matakuliahKurikulum.matakuliah.namaMatakuliah}">
                                                                Senin
                                                            </td>
                                                            <td th:text="${data.jadwal.hari.namaHari}"></td>
                                                            <td th:text="${data.jadwal.jamMulai+' - '+ data.jadwal.jamSelesai}">
                                                                Matematika
                                                            </td>
                                                            <td th:text="${data.jadwal.dosen.karyawan.namaKaryawan}">
                                                                13.00
                                                            </td>
                                                            <td th:text="${data.jadwal.ruangan.namaRuangan}">13.00</td>
                                                            <td>
                                                                <a th:href="@{/study/detail (id = ${data.jadwal.id})}">
                                                                    <button type="button" class="btn btn-warning waves-effect" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Detail">
                                                                        <i class="fa fa-eye"></i>
                                                                    </button>
                                                                </a>
                                                            </td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-xs-12">
                                            <div class="ongoing-task-inner notika-shadow mg-t-30">
                                                <div class="realtime-ctn">
                                                    <div class="realtime-title ongoing-hd-wd">
                                                        <h2>Keterangan</h2>
                                                    </div>
                                                </div>
                                                <div class="skill-content-3 ongoing-tsk">
                                                    <div class="skill">
                                                        <div class="row">
                                                            <div class="col-md-2">
                                                                <button class="btn btn-primary">
                                                                    <i class="fa fa-user"></i>
                                                                </button>
                                                            </div>
                                                            <div class="col-md-10">
                                                                <div style="font-size: 10px;">Dosen Wali</div>
                                                                <div><b th:text="${dosenWali}"></b></div>
                                                            </div>
                                                        </div>
                                                        <br>
                                                        <div class="row">
                                                            <div  class="col-md-2">
                                                                <button class="btn btn-primary"><i class="notika-icon notika-bar-chart"></i></button>
                                                            </div>
                                                            <div class="col-md-4">
                                                                <div style="font-size: 10px;">IPK</div>
                                                                <div><b th:text="${ipk}"></b></div>
                                                            </div>
                                                            <div  class="col-md-2">
                                                                <button class="btn btn-primary"><i class="notika-icon notika-bar-chart"></i></button>
                                                            </div>
                                                            <div class="col-md-4">
                                                                <div style="font-size: 10px;">IPS</div>
                                                                <div><b th:text="${ip?.ipk}"></b></div>
                                                            </div>
                                                        </div>
                                                        <br>
                                                        <div class="row">
<!--                                                            <div class="col-md-2">-->
<!--                                                                <button class="btn btn-primary">-->
<!--                                                                    <i class="notika-icon notika-draft"></i>-->
<!--                                                                </button>-->
<!--                                                            </div>-->
                                                            <div class="col-md-12">
                                                                <div>Total SKS <b th:text="${totalSks}"></b></div>
                                                                <div><b th:text="${totalSksSelesai}"></b> SKS telah ditempuh selama  <b th:text="${semesterSebelum}"></b> semester</div>
                                                                <div><b th:text="${totalSksSemester}"></b> SKS sedang ditempuh di semester  <b th:text="${semesterSebelum + semesterSekarang}"></b></div>
                                                            </div>
                                                        </div>
<!--                                                        <div class="row">-->
<!--                                                            <div class="line-chart-area">-->
<!--                                                                <div class="line-chart-wp chart-display-nn">-->
<!--                                                                    <canvas height="40vh" width="30vw" id="chartsipk"></canvas>-->
<!--                                                                </div>-->
<!--                                                            </div>-->
<!--                                                        </div>-->
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="menu1" class="tab-pane fade">
                                <div class="tab-ctn">
                                    <div class="row">
                                        <div th:if="${normal != null}">
                                            <ul class="nav nav-pills flex-column" th:if="${memo != null}">
                                                <li th:each="data,row : ${memo}" class="nav-item"><a th:id="${data.id}"
                                                                                                     id="dosen_akademik"
                                                                                                     onclick="changeRole(this)"
                                                                                                     href='javascript:void(0);'
                                                                                                     class="nav-link"
                                                                                                     th:text="${data.nama}"></a>
                                                </li>
                                            </ul>
                                            <div th:each="data,row : ${memo}">
                                                <div class="panel-body" th:id="${data.id+'-embed'}"
                                                     style="display: none">
                                                    <embed th:src="@{/upload/{memo}/keuangan/(memo=${data.id})}"
                                                           type="application/pdf" width="100%" height="600px">
                                                </div>
                                            </div>
                                        </div>
                                        <div th:if="${mobile != null}">
                                            <ul class="nav nav-pills flex-column" th:if="${memo != null}">
                                                <li th:each="data,row : ${memo}" class="nav-item">
                                                    <a target="_blank"
                                                       th:href="@{/upload/{memo}/keuangan/(memo=${data.id})}"
                                                       th:text="${data.nama}"></a>
                                                </li>
                                            </ul>
                                        </div>
                                        <div th:if="${message == null || tagihan != null}" class="row">
                                            <div class="col-md-12 col-xs-12">
                                                <div class="normal-table-list mg-t-30">
                                                    <div class="basic-tb-hd">
                                                        <h2>List Bill</h2>
                                                    </div>
                                                    <div class="bsc-tbl-st">
                                                        <table class="table table-striped">
                                                            <thead>
                                                            <tr>
                                                                <th>No.</th>
                                                                <th>Bill</th>
                                                                <th>Amount</th>
                                                                <th>Payment</th>
                                                                <th>Status</th>
                                                            </tr>
                                                            </thead>
                                                            <tbdy>
                                                                <tr th:each="data, row:${tagihan}">
                                                                    <td th:text="${(row.index + 1)}">1</td>
                                                                    <td th:text="${data.nilaiJenisTagihan.jenisTagihan.nama}"></td>
                                                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.nilaiTagihan, 0, 'POINT', 2, 'COMMA')}"></td>
                                                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.akumulasiPembayaran, 0, 'POINT', 2, 'COMMA')}"></td>
                                                                    <td>
                                                                        <div th:if="${data.statusTagihan.AKTIF} == ${data.statusTagihan}"
                                                                             th:text="${data.statusTagihan}"
                                                                             class="btn btn-info btn-sm"></div>
                                                                        <div th:if="${data.statusTagihan.LUNAS} == ${data.statusTagihan}"
                                                                             th:text="${data.statusTagihan}"
                                                                             class="btn btn-success btn-sm"></div>
                                                                        <div th:if="${data.statusTagihan.DICICIL} == ${data.statusTagihan}"
                                                                             th:text="${data.statusTagihan}"
                                                                             class="btn btn-warning btn-sm"></div>
                                                                        <div th:if="${data.statusTagihan.DITANGGUHKAN} == ${data.statusTagihan}"
                                                                             th:text="${data.statusTagihan}"
                                                                             class="btn nk-deep-orange btn-sm"
                                                                             style="color: white;"></div>
                                                                    </td>
                                                                </tr>
                                                            </tbdy>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div th:if="${cekCicilan == null}" class="col-md-6 col-xs-12">
                                                <div class="normal-table-list mg-t-30">
                                                    <div class="basic-tb-hd">
                                                        <h2>Bill Installment</h2>
                                                    </div>
                                                    <div class="bsc-tbl-st">
                                                        <table class="table table-striped">
                                                            <thead>
                                                            <tr>
                                                                <th>No.</th>
                                                                <th>Bill</th>
                                                                <th>Amount</th>
                                                                <th>Status</th>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                            <tr th:each="data, row:${cicilan}">
                                                                <td th:text="${(row.index + 1)}">1</td>
                                                                <td th:text="${data[1]}"></td>
                                                                <td th:text="${data[2]}"></td>
                                                                <td>
                                                                    <div th:if="${data[4]} == 'EDITED'"
                                                                         class="btn btn-warning btn-sm"
                                                                         th:text="${'NOT YET FINISHED'}"></div>
                                                                    <div th:if="${data[4]} != 'EDITED'">
                                                                        <div th:if="${data[3]} == 'WAITING'"
                                                                             class="btn btn-primary btn-sm"
                                                                             th:text="${data[3]}"></div>
                                                                        <div th:if="${data[3]} == 'APPROVED'"
                                                                             class="btn btn-success btn-sm"
                                                                             th:text="${data[3]}"></div>
                                                                        <div th:if="${data[3]} == 'REJECTED'"
                                                                             class="btn btn-danger btn-sm"
                                                                             th:text="${data[3]}"></div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                            <div th:if="${cekPenangguhan == null}" class="col-md-6 col-xs-12">
                                                <div class="normal-table-list mg-t-30">
                                                    <div class="basic-tb-hd">
                                                        <h2>Bill Hold</h2>
                                                    </div>
                                                    <div class="bsc-tbl-st">
                                                        <table class="table table-striped">
                                                            <thead>
                                                            <tr>
                                                                <th>No.</th>
                                                                <th>Bill</th>
                                                                <th>Request Bill Hold</th>
                                                                <th>Status</th>
                                                                <th></th>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                            <tr th:each="data, row:${penangguhan}">
                                                                <td th:text="${(row.index + 1)}">1</td>
                                                                <td th:text="${data[1]}">1</td>
                                                                <td th:text="${data[4]}">22-12-2012</td>
                                                                <td>
                                                                    <div th:if="${data[2]} == 'WAITING'"
                                                                         class="btn btn-primary btn-sm"
                                                                         th:text="${data[2]}"></div>
                                                                    <div th:if="${data[2]} == 'APPROVED'"
                                                                         class="btn btn-success btn-sm"
                                                                         th:text="${data[2]}"></div>
                                                                    <div th:if="${data[2]} == 'REJECTED'"
                                                                         class="btn btn-danger btn-sm"
                                                                         th:text="${data[2]}"></div>
                                                                </td>
                                                                <td th:if="${data[2] == 'REJECTED'}">
                                                                    <button type="button" class="btn btn-info"
                                                                            data-toggle="modal"
                                                                            th:data-target="${'#myModaltwo-'+data[5]}">
                                                                        Description
                                                                    </button>

                                                                    <div class="modal fade"
                                                                         th:id="${'myModaltwo-'+data[5]}" role="dialog">
                                                                        <div class="modal-dialog modal-sm">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <button type="button" class="close"
                                                                                            data-dismiss="modal">&times;
                                                                                    </button>
                                                                                </div>
                                                                                <div class="modal-body">
                                                                                    <p th:text="${data[3]}">Curabitur
                                                                                        blandit mollis lacus. Nulla sit1
                                                                                        amet est. Suspendisse nisl elit,
                                                                                        rhoncus eget, elementum ac,
                                                                                        condimentum eget, diam. Donec
                                                                                        min odio, faucibus at,
                                                                                        scelerisquese quis,
                                                                                        convallisdse. Cras sagittis.</p>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                            <div th:if="${cekPeringanan == null}" class="col-md-6 col-xs-12">
                                                <div class="normal-table-list mg-t-30">
                                                    <div class="basic-tb-hd">
                                                        <h2>Peringanan</h2>
                                                    </div>
                                                    <div class="bsc-tbl-st">
                                                        <table class="table table-striped">
                                                            <thead>
                                                            <tr>
                                                                <th>No.</th>
                                                                <th>Tagihan</th>
                                                                <th>Pengajuan Peringanan</th>
                                                                <th>Status</th>
                                                                <th></th>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                            <tr th:each="data, row:${peringanan}">
                                                                <td th:text="${(row.index + 1)}">1</td>
                                                                <td th:text="${data.tagihan.nilaiJenisTagihan.jenisTagihan.nama}">
                                                                    1
                                                                </td>
                                                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data.nilai, 0, 'POINT', 2, 'COMMA')}">
                                                                    22-12-2012
                                                                </td>
                                                                <td>
                                                                    <div th:if="${data.statusApprove.WAITING == data.statusApprove}"
                                                                         class="btn btn-primary btn-sm"
                                                                         th:text="${data.statusApprove}"></div>
                                                                    <div th:if="${data.statusApprove.APPROVED == data.statusApprove}"
                                                                         class="btn btn-success btn-sm"
                                                                         th:text="${data.statusApprove}"></div>
                                                                    <div th:if="${data.statusApprove.REJECTED == data.statusApprove}"
                                                                         class="btn btn-danger btn-sm"
                                                                         th:text="${data.statusApprove}"></div>
                                                                </td>
                                                                <td th:if="${data.statusApprove.REJECTED == data.statusApprove}">
                                                                    <button type="button" class="btn btn-info"
                                                                            data-toggle="modal"
                                                                            th:data-target="${'#myModaltwo-'+data.id}">
                                                                        keterangan
                                                                    </button>

                                                                    <div class="modal fade"
                                                                         th:id="${'myModaltwo-'+data.id}" role="dialog">
                                                                        <div class="modal-dialog modal-sm">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <button type="button" class="close"
                                                                                            data-dismiss="modal">&times;
                                                                                    </button>
                                                                                </div>
                                                                                <div class="modal-body">
                                                                                    <p th:text="${data.keterangan}">
                                                                                        Curabitur blandit mollis lacus.
                                                                                        Nulla sit1 amet est. Suspendisse
                                                                                        nisl elit, rhoncus eget,
                                                                                        elementum ac, condimentum eget,
                                                                                        diam. Donec min odio, faucibus
                                                                                        at, scelerisquese quis,
                                                                                        convallisdse. Cras sagittis.</p>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div th:if="${tahunAktif != null}">
                                            <div th:if="${message == null || listSp != null}" class="row">
                                                <div class="col-md-6 col-xs-12">
                                                    <div class="normal-table-list mg-t-30">
                                                        <div class="basic-tb-hd">
                                                            <h2>Bill Short Semester</h2>
                                                        </div>
                                                        <div class="bsc-tbl-st">
                                                            <table class="table table-striped">
                                                                <thead>
                                                                <tr>
                                                                    <th>No.</th>
                                                                    <th>Courses</th>
                                                                    <th>Amount of Credits</th>
                                                                    <th>Status</th>
                                                                    <th>Return Status</th>
                                                                </tr>
                                                                </thead>
                                                                <tbdy>
                                                                    <tr th:each="data, row:${listSp}">
                                                                        <td th:text="${(row.index + 1)}">1</td>
                                                                        <td th:text="${data[1]}"></td>
                                                                        <td th:text="${data[2]}"></td>
                                                                        <td>
                                                                            <div th:if="${data[3]} == 'REJECTED'"
                                                                                 th:text="${data[3]}"
                                                                                 class="btn btn-danger btn-sm"></div>
                                                                            <div th:if="${data[3]} == 'APPROVED'"
                                                                                 th:text="${data[3]}"
                                                                                 class="btn btn-success btn-sm"></div>
                                                                            <div th:if="${data[3]} == 'WAITING'"
                                                                                 th:text="${data[3]}"
                                                                                 class="btn btn-primary btn-sm"></div>
                                                                        </td>
                                                                        <td th:if="${data['3'] == 'REJECTED'}">
                                                                            <div th:if="${cekTagihan == null}">
                                                                                <div th:if="${data[4] == null}">
                                                                                    <button type="button"
                                                                                            class="btn btn-info"
                                                                                            data-toggle="modal"
                                                                                            th:data-target="${'#myModaltwo-'+data[7]}">
                                                                                        Refund
                                                                                    </button>

                                                                                    <div class="modal fade"
                                                                                         th:id="${'myModaltwo-'+data[7]}"
                                                                                         role="dialog">
                                                                                        <div class="modal-dialog modal-sm">
                                                                                            <div class="modal-content">
                                                                                                <div class="modal-header">
                                                                                                    <button type="button"
                                                                                                            class="close"
                                                                                                            data-dismiss="modal">
                                                                                                        &times;
                                                                                                    </button>
                                                                                                </div>
                                                                                                <div class="modal-body">
                                                                                                    <h1>Request
                                                                                                        Refund</h1>
                                                                                                    <h5>Matakuliah :
                                                                                                        <span th:text="${data[1]}"></span>
                                                                                                    </h5>
                                                                                                    <form method="post"
                                                                                                          th:action="@{/prakrs/sp/refund}">
                                                                                                        <input type="hidden"
                                                                                                               th:name="${'matkur-'+data[7]}"
                                                                                                               th:value="${data[7]}">
                                                                                                        <div class="row">
                                                                                                            <div class="col-md-12 col-xs-12">
                                                                                                                <div class="form-group">
                                                                                                                    <label>Nomor
                                                                                                                        Rekening </label>
                                                                                                                    <input type="text"
                                                                                                                           class="form-control"
                                                                                                                           th:name="${'nomorRekening-'+data[7]}"
                                                                                                                           required>
                                                                                                                </div>
                                                                                                                <div class="form-group">
                                                                                                                    <label>Nama
                                                                                                                        Bank </label>
                                                                                                                    <input type="text"
                                                                                                                           class="form-control"
                                                                                                                           th:name="${'namaBank-'+data[7]}"
                                                                                                                           required>
                                                                                                                </div>
                                                                                                                <div class="form-group">
                                                                                                                    <label>Jumlah </label>
                                                                                                                    <input type="text"
                                                                                                                           readonly
                                                                                                                           class="form-control"
                                                                                                                           th:name="${'jumlah-'+data[7]}"
                                                                                                                           th:value="${jumlah * data[2]}">
                                                                                                                </div>
                                                                                                                <div class="form-group">
                                                                                                                    <label>Nomor
                                                                                                                        Telepon </label>
                                                                                                                    <input type="text"
                                                                                                                           th:name="${'nomorTelepon-'+data[7]}"
                                                                                                                           class="form-control"
                                                                                                                           th:value="${mhs.teleponSeluler}"
                                                                                                                           required>
                                                                                                                </div>
                                                                                                            </div>
                                                                                                        </div>
                                                                                                        <div class="row">
                                                                                                            <div class="col-md-6 col-xs-12">
                                                                                                                <button type="submit"
                                                                                                                        class="btn btn-success">
                                                                                                                    Submit
                                                                                                                </button>
                                                                                                            </div>
                                                                                                        </div>
                                                                                                    </form>
                                                                                                </div>
                                                                                                <div class="modal-footer">

                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div th:if="${data[4] != null}">
                                                                                    <div class="btn btn-warning btn-sm"
                                                                                         th:if="${data[4] == 'UNDONE'}"
                                                                                         th:text="${'PROCESS'}"></div>
                                                                                    <div class="btn btn-success btn-sm"
                                                                                         th:if="${data[4] == 'DONE'}"
                                                                                         th:text="${data[4]}"></div>
                                                                                </div>
                                                                            </div>
                                                                            <!--                                        <div th:if="${cekRefund == null}">-->

                                                                            <!--                                        </div>-->
                                                                        </td>
                                                                    </tr>
                                                                </tbdy>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>

        <div class="row">
            <div class="col-md-8 col-xs-12">
                <div class="normal-table-list mg-t-30">
                    <div class="basic-tb-hd">
                        <h2>Assalamualaikum Wr. Wb</h2>
                    </div>
                    <div class="bsc-tbl-st">
                        <p>Kepada Seluruh Keluarga Besar Institut Tazkia</p><br>
                        <p>👉Mohon kesediaannya untuk mengisi Survey Tingkat Kepuasan Penggunaan WiFi & Internet dalam 6
                            Bulan Terakhir, pada link berikut :</p>
                        <p>link : <a href="https://shorturl.at/oxY15">Survey Tingkat Kepuasan Penggunaan WiFi
                            & Internet</a></p>
                        <p><Strong>Wassalamualaikum Wr.Wb.</Strong></p>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-xs-12">
                <div class="normal-table-list mg-t-30">
                    <main>
                        <div id="reader"></div>
                        <div id="result"></div>
                    </main>
                </div>
            </div>
        </div>

    </div>
</section>
</body>
</html>
<script src="https://unpkg.com/html5-qrcode" type="text/javascript"></script>
<script>
    $(function (){

        var ctx = document.getElementById("chartsipk");
        var chartsipk = new Chart(ctx, {
            type: 'line',
            data: {
                labels: ["1", "2", "3", "4", "5", "6", "7", "8"],
                datasets: [{
                    label: 'IP',
                    fill: false,
                    backgroundColor: '#00c292',
                    borderColor: '#00c292',
                    data: [3.12, 3.56, 3.32]
                }]
            },
            options: {
                responsive: true,
                title:{
                    display:true,
                    text:'Grafik Indeks Prestasi Semester'
                },
                tooltips: {
                    mode: 'index',
                    intersect: false,
                },
                hover: {
                    mode: 'nearest',
                    intersect: true
                },
                scales: {
                    xAxes: [{
                        display: true,
                        scaleLabel: {
                            display: false,
                            labelString: 'Semester'
                        }
                    }],
                    yAxes: [{
                        display: true,
                        scaleLabel: {
                            display: false,
                            labelString: 'IP'
                        },
                        ticks: {
                            suggestedMin: 1,
                            suggestedMax: 4,
                        }
                    }]
                }
            }
        });

    });
</script>
<script>

    $(function () {
        if ($('#terakhirUpdate').val() == '') {
            $(window).on('load', function () {
                $('#myModal').modal('show');
            });
        }
    });

    var delay = (function () {
        var timer = 0;
        return function (callback, ms) {
            clearTimeout(timer);
            timer = setTimeout(callback, ms);
        };
    })();

    function cekEmail(arg){
        var id = arg.getAttribute('id');
        var value = arg.value;

        $(document).keyup(function (e){
            delay(function (){
                var url = '/cekEmail?email=' + value;
                $.getJSON(url, function (data){
                    if (data.id == "400"){
                        document.getElementById("validEmail").style.display = 'block';
                        $("#saveOrtu").hide();
                    }else{
                        document.getElementById("validEmail").style.display = 'none';
                        $("#saveOrtu").show();
                    }
                })
            })
        })
    }

    function changeRole(arg) {
        var id = arg.getAttribute('id');
        console.log(id)
        document.getElementById(id).className = "nav-link active";

        $('.panel-body').css('display', 'none');
        document.getElementById(id + '-embed').style.display = 'block';
    }


    const scanner = new Html5QrcodeScanner('reader', {
        qrbox: {
            width: 250,
            height: 250,
        },
        pfs: 20,
    });

    scanner.render(success, error);

    function success(result) {
        location.href = result
        scanner.clear()
        document.getElementById('reader').remove();
    }

    function error(err) {
        console.error(err);
    }
</script>